import React from 'react';
import { useFlag } from "../../hooks/useFlag";
declare type UseCalendarVisibleParams = {
    onDropdownOpen?: (isOpen: boolean) => void;
    dropdownOpen?: boolean;
    disabled?: boolean;
    startRef: React.RefObject<HTMLInputElement>;
    endRef?: React.RefObject<HTMLInputElement>;
};
declare type UseFlagReturn = ReturnType<typeof useFlag>;
declare type Return = [UseFlagReturn[0], UseFlagReturn[1]];
export declare const useCalendarVisible: (params: UseCalendarVisibleParams) => Return;
export {};
